# class Gst::Element

### Public Class Methods

[](name) click to toggle source

    # File lib/gst/element.rb, line 20
    def [](name)
      ElementFactory.make(name)
    end

### Public Instance Methods

>>(element) click to toggle source

    # File lib/gst/element.rb, line 49
    def >>(element)
      link_element(element)
      element
    end

flags() click to toggle source

    # File lib/gst/element.rb, line 55
    def flags
      ElementFlags.new(flags_raw)
    end

Also aliased as: flags_raw
flags_raw()
Alias for: flags
link(*elements)
Also aliased as: link_element
Alias for: link_elements
link_element(*elements)
Alias for: link
link_elements(*elements) click to toggle source

    # File lib/gst/element.rb, line 42
    def link_elements(*elements)
      elements.each do |element|
        link_element(element)
      end
    end

Also aliased as: link
pause() click to toggle source

    # File lib/gst/element.rb, line 33
    def pause
      set_state(State::PAUSED)
    end

play() click to toggle source

    # File lib/gst/element.rb, line 37
    def play
      set_state(State::PLAYING)
    end

ready() click to toggle source

    # File lib/gst/element.rb, line 29
    def ready
      set_state(State::READY)
    end

stop() click to toggle source

    # File lib/gst/element.rb, line 25
    def stop
      set_state(State::NULL)
    end